### *** This interface provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.information.metadata

# Interface EmailInterface

All Superinterfaces:
  `MetadataInterface`, `PublicObjectInterface`, `Remote`

@SASScope("ALL") @BinaryCompatibilityOnly public interface EmailInterface extends MetadataInterface

- ## Field Summary

  ### Fields inherited from interface com.sas.services.information.metadata.MetadataInterface

  `METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  Gets the `String` value of `Address`
  `List<MetadataInterface>`
  `getEmailSubscriber()`
  Gets the List of `SubscriberInterface` instances
  `String`
  `getEmailType()`
  Gets the `String` value of `EmailType`
  `List<PersonInterface>`
  `getPersons()`
  Gets the List of `PersonInterface` instances
  `void`
  `setAddress(String address)`
  Sets the `String` value of `Address`
  `void`
  `setEmailSubscribers(List<MetadataInterface> subscribers)`
  Sets the List of `SubscriberInterface` instances
  `void`
  `setEmailType(String inEmailType)`
  Sets the `String` value of `EmailType`
  `void`
  `setPersons(List<PersonInterface> persons)`
  Sets the List of `PersonInterface` instances

  ### Methods inherited from interface com.sas.services.information.metadata.MetadataInterface

  `add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

  ### Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface

  `addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

- ## Method Details

  - ### getAddress

    String getAddress() throws ServiceException, RemoteException
    Gets the `String` value of `Address`
    Returns:
      The Email `Address`
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEmailType

    String getEmailType() throws ServiceException, RemoteException
    Gets the `String` value of `EmailType`
    Returns:
      The `EmailType`
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getEmailSubscriber

    List<MetadataInterface> getEmailSubscriber() throws ServiceException, RemoteException
    Gets the List of `SubscriberInterface` instances
    Returns:
      The List of `SubscriberInterface` instances
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPersons

    List<PersonInterface> getPersons() throws ServiceException, RemoteException
    Gets the List of `PersonInterface` instances
    Returns:
      The List of `PersonInterface` instances
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setAddress

    void setAddress(String address) throws ServiceException, RemoteException
    Sets the `String` value of `Address`
    Parameters:
      `The` - email `Address`
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setEmailType

    void setEmailType(String inEmailType) throws ServiceException, RemoteException
    Sets the `String` value of `EmailType`
    Parameters:
      `The` - `EmailType`
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setEmailSubscribers

    void setEmailSubscribers(List<MetadataInterface> subscribers) throws ServiceException, RemoteException
    Sets the List of `SubscriberInterface` instances
    Parameters:
      `The` - List of `SubscriberInterface` instances
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### setPersons

    void setPersons(List<PersonInterface> persons) throws ServiceException, RemoteException
    Sets the List of `PersonInterface` instances
    Parameters:
      `The` - List of `PersonInterface` instances
    Throws:
      `ServiceException` - If error getting/setting part of the object.
      `RemoteException` - If error connecting/communicating to/with remote object.